<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class BillGroupPayment extends Model
{
    protected $table = 'bill_group_payments';
    
    /**
     * @return BelongsTo
     */
    public function billGroup(): BelongsTo
    {
        return $this->BelongsTo(BillGroup::class, 'bill_group_id', 'id');
    }

    /**
     * @return BelongsTo
     */
    public function group(): BelongsTo
    {
        return $this->BelongsTo(Group::class, 'group_id', 'id');
    }
}
